Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
wowf.models.lookup_tables.Lookup Class Reference
Inheritance diagram for wowf.models.lookup_tables.Lookup:
Collaboration diagram for wowf.models.lookup_tables.Lookup:

## Public Member Functions
def | __init__
def | __unicode__
def | create
def | populate
def | get_by_name

## Public Attributes
| name

## Static Public Attributes
tuple | lookup_data = ()
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | name = Column(Unicode(40), nullable=False, index=True)

## Detailed Description

Definition at line 23 of file lookup_tables.py.

## Constructor & Destructor Documentation

def wowf.models.lookup_tables.Lookup.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 29 of file lookup_tables.py.

## Member Function Documentation

def wowf.models.lookup_tables.Lookup.__unicode__ | ( |  | self | ) |

Definition at line 32 of file lookup_tables.py.

def wowf.models.lookup_tables.Lookup.create | ( |  | cls,
|  |  | name
| ) |  |

Definition at line 36 of file lookup_tables.py.

def wowf.models.lookup_tables.Lookup.get_by_name | ( |  | cls,
|  |  | name
| ) |  |

Definition at line 48 of file lookup_tables.py.

def wowf.models.lookup_tables.Lookup.populate | ( |  | cls | ) |

Definition at line 40 of file lookup_tables.py.

## Member Data Documentation

tuple wowf.models.lookup_tables.Lookup.id = Column(Integer(unsigned=True), primary_key=True)
| static

Definition at line 26 of file lookup_tables.py.

tuple wowf.models.lookup_tables.Lookup.lookup_data = ()
| static

Definition at line 25 of file lookup_tables.py.

tuple wowf.models.lookup_tables.Lookup.name = Column(Unicode(40), nullable=False, index=True)
| static

Definition at line 27 of file lookup_tables.py.

wowf.models.lookup_tables.Lookup.name

Definition at line 30 of file lookup_tables.py.

The documentation for this class was generated from the following file:

- wowf/models/lookup_tables.py